
@media screen and (min-width: 800px) and (max-width: 1200px) {
    body {
        padding: 1em !important;
    }
    .confirm {
        width: 80vw !important;
        height: 50vw !important; 
        max-width: 50vh !important;
        max-height: 80vw !important;
        font-size: 0.8em;
    }
    .confirm button {
        font-size: 2em !important;
    }
    .confirm span {
        font-size: 1.8em !important;
    }
}

@media screen and (max-width: 800px) {
    body {
        padding: 0.6em !important;
    }
    .topLogoContainer {
        width: 99% !important;
    }
    .topLogoDiv {
        font-size: 1em !important;
    }
    .copyright {
        font-size: 0.5em !important;
    }
    line {
        flex-wrap: wrap;
    }
    button {
        margin: 0.5em !important;
    }
    .topLogoContainer {
        width: 99% !important;
    }
    .topLogoDiv {
        font-size: 1em !important;
    }
    .hoverDiv {
        font-size: 1.3em !important;
    }
    .confirm {
        width: 80vw !important;
        height: 50vh !important;
        max-width: 50vh !important;
        max-height: 80vw !important;
        margin-top: 20vh;
        font-size: 0.5em;
    }
    #confirmContainer {
        align-items: flex-start !important;
    }
    .confirm button {
        font-size: 2em !important;
    }
    .confirm span {
        font-size: 1.5em !important;
    }
}

:root {
    --verdeChiaro: rgb(162, 197, 22);
    --verdeScuro: rgb(0, 150, 64);
    --grigioChiaro: rgb(187, 187, 187);
    --boxShadow: 0px 0px 0.3em 0px #000;
    --fontFamily: "Barlow";
    --fontSize: 14px;
    --backgroundColor: #FFFFFF;
    --borderColor: #ddd;
    --confirmColor: rgb(255, 255, 255);
    
}

@font-face {
    font-family: "Barlow";
    src: url("../fonts/BarlowCondensed-Regular.ttf");
}

body {
    font-family: var(--fontFamily);
    font-size: var(--fontSize);
    background-color: var(--backgroundColor);
    padding: 1.5em;
    margin: unset;
}

h1, h2 {
    color: var(--verdeScuro);
    width: 100%;
    text-align: center;
    margin: 0.5em 0px;
    padding: unset;
    font-family: var(--fontFamily) !important;
}
h1 {
    font-size: 2.8em;
    font-weight: bold;
}
h2 {
    font-size: 2em;
}
h3 {
    color: initial;
    padding: unset;
    text-align: center;
    width: 100%;
    font-size: 1.4em;
    font-family: var(--fontFamily) !important;
}

line {
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

span {
    word-wrap: break-word;
    text-align: center;
    font-size: 1.2em;
}
a {
    color: var(--verdeChiaro);
}

button {
    font-size: 1.3em;
    padding: 0.5em 1em;
    align-items: center;
    display: flex;
    border-radius: 0.5em;
    background-color: #fff;
    background-image: none;
    border: 2px solid rgba(204, 204, 204, 0.5);
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
    color: var(--verdeScuro);
    display: block;
    transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
    font-weight: bold;
}
button:hover:enabled {
    cursor: pointer;
    border-color: var(--verdeScuro);
    transform: scale(1.1);
}
button[disabled], button:disabled {
    cursor: not-allowed;
    color: var(--verdeChiaro);
}

.loadingDiv {
    background: none 0px 0px repeat scroll var(--backgroundColor);
    position: fixed;
    opacity: 1;
    z-index: 1000001;
    left: 0px;
    top: 0px;
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
}
.loadingDiv span {
    color: var(--grigioChiaro);
    font-weight: bold;
    font-size: 2em;
    margin: 0.5em;
    text-align: center;
}
.loadingLogo {
    width: 80%;
    max-width: 40em;
    margin-top: 10em;
}
.loadingImg {
    max-width: 40%;
}

.topLogoContainer {
    width: 80%; 
    margin: auto;
    display: flex; 
    justify-content: space-between; 
    align-items: center;
}
.topLogoImg {
    width: 20%;
    min-width: 10em;
}
.topLogoImg:hover {
    cursor: pointer;
}
.topLogoDiv {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.5em;
}
.socialImg {
    width: 2.5em;
    height: 2.5em;
    margin: 0px 0.2em;
}
.socialImg:hover {
    cursor: pointer;
    transform: scale(1.1);
}

.copyright {
    position: fixed; 
    bottom: 0.5em; 
    right: 2em; 
    font-size: 0.8em; 
    font-family: var(--fontFamily);
}

#hovers {
    position: fixed;
    left: 35%;
    top: 5%;
    z-index: 1000002;
    width: 30%;
    display: flex;
    flex-direction: column-reverse;
    justify-content: flex-start;
    align-items: center;
    background: transparent;
    max-height: 90vh;
}

.hoverDiv {
    width: 30em;
    height: 5em;
    font-size: 1.5em;
    max-width: 90vw;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--verdeChiaro);
    box-shadow: var(--boxShadow);  
    border-radius: 0.7em;
    color: #FFF;
    margin-bottom: 1em;
    text-align: center;
    padding: 0.5em;
    font-family: var(--fontFamily) !important;
}
.hoverDiv:hover {
    cursor: pointer;
}

#confirmContainer {
    width: 100%;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: transparent;
}

.confirm {
    width: 40vw;
    height: 40vw;
    max-height: 80vh;
    text-align: center;
    border-radius: 2em;
    background-color: var(--verdeChiaro);
    box-shadow: 0px 0px 0.9em 0px #000;  
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    padding: 1.5em 1em;
}

.confirm h1 {
    color: var(--confirmColor);
    margin-top: unset;
}

.confirm line {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 100%;
    flex-wrap: wrap;
}
.confirm line span {
    width: 100%;
    font-size: 1em;
    padding: 0.3em;
    display: block;
}

.confirm button {
    font-size: 3em;
    padding: 0.5em 1.5em;
    margin-bottom: 0.3em;
}
.confirm a {
    color: var(--confirmColor);
}

.confirm span {
    width: 90%;
    font-size: 2em;
    word-wrap: break-word;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    color: var(--confirmColor);
}

.confirm pre {
    font-size: 0.6em;
    text-align: left;
    width: 100%;
    overflow: auto;
    background-color: transparent;
    border-radius: 1.5em;
    border-color: var(--confirmColor);
}

.confirm .listDiv {
    color: var(--confirmColor);
    font-size: 1.2em;
    border: solid 0.1em var(--confirmColor);
    border-radius: 0.5em;
    width: 95%;
    padding: 0.5em;
    height: 40%;
    overflow: auto;
}
.confirm .listDiv p {
    margin: unset;
}
